OpenNMS API 1.2.9

## Package org.opennms.protocols.snmp.asn1

Interface Summary
AsnEncoder: The AsnEncoder interface defines the contract that objects for encoding/decoding ASN.1 SNMP values must fulfill.

Class Summary
ASN1: Public ASN.1 definitions.
BerEncoder: The BerEncoder class is used to implement the AsnEncoder interface for the Basic Encoding Rules (BER).

Exception Summary
AsnDecodingException: The AsnDecodingException is generated whenever an error occurs in ASN.1 decoding of data types.
AsnEncodingException: The AsnEncodingException is generated whenever an error occurs in ASN.1 encoding of data types.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.